List deployment options
curl --request GET \
--url https://api.chainstack.com/v2/deployment-options/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chainstack.com/v2/deployment-options/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chainstack.com/v2/deployment-options/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"options": [
{
"blockchain": "BC-000-000-008",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "ethereum",
"network": "ethereum-mainnet",
"features": [
"full"
]
},
{
"blockchain": "BC-000-000-017",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "ethereum",
"network": "ethereum-sepolia-testnet",
"features": [
"full"
]
},
{
"blockchain": "BC-000-000-015",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "solana",
"network": "solana-mainnet",
"features": [
"full"
]
},
{
"blockchain": "BC-000-000-006",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "bsc",
"network": "bsc-mainnet",
"features": [
"full"
]
},
{
"blockchain": "BC-000-000-010",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "polygon-pos",
"network": "polygon-pos-mainnet",
"features": [
"full"
]
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Deployment options
List deployment options with Chainstack Platform API v2
List every available protocol, network, region, and node type combination supported by Chainstack. Send a GET request to /v2/deployment-options/ to fetch them.
GET
/
v2
/
deployment-options
/
List deployment options
Authorizations
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'
All API requests must be made over HTTPS.
Response
Response containing the list of available deployment options.
List of available deployment options.
Show child attributes
Show child attributes
Last modified on May 4, 2026
Was this page helpful?
Getting started with the Chainstack Platform APIList all projects with the Chainstack Platform API v2
⌘I